New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Ripper on 9.0.x.x reports wrong line number #3386

Closed
yujinakayama opened this Issue Oct 11, 2015 · 1 comment

Comments

Projects
None yet
2 participants
@yujinakayama

Ripper on 9.0.x.x wrongly reports line number 2 for sexp or token at line 1.

[1] pry(main)> JRUBY_VERSION
=> "9.0.1.0"
[2] pry(main)> require 'ripper'
=> true
[3] pry(main)> Ripper.sexp('foo')
=> [:program, [[:vcall, [:@ident, "foo", [2, 0]]]]]
[4] pry(main)> Ripper.lex('foo')
=> [[[2, 0], :on_ident, "foo"]]

FYI Ripper on 1.7.22 correctly reports it as line 1.

@enebo

This comment has been minimized.

Show comment
Hide comment
@enebo

enebo Mar 1, 2016

Member

This was fixed in a series of updates on the ruby-2.3 branch (which has since been merged to master).

Member

enebo commented Mar 1, 2016

This was fixed in a series of updates on the ruby-2.3 branch (which has since been merged to master).

@enebo enebo closed this Mar 1, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment